Delete
curl --request DELETE \
--url https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}import requests
url = "https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lead Scoring
Delete
Delete a specific lead scoring configuration in your HubSpot account. This operation permanently removes the scoring configuration identified by the scoreId from the system, which can be useful for managing and cleaning up outdated or unnecessary scoring setups.
DELETE
/
marketing
/
lead-scoring
/
2027-03-beta
/
scores
/
{scoreId}
Delete
curl --request DELETE \
--url https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}import requests
url = "https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Path Parameters
The unique identifier of the lead scoring configuration to delete.
Response
No content
Last modified on September 9, 2026
Was this page helpful?